groovy.lang

## Annotation Type Mixin

-     @Documented
      @Retention(value=SOURCE)
      @Target(value=TYPE)
      public @interface Mixin

  Provides a mechanism for mixing in methods into a class.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.Class[]` | `value`

- - ### Element Detail

    - #### value

          public abstract java.lang.Class[] value